Bug 200931 - newhidups not working with APC Back-UPS
Summary: newhidups not working with APC Back-UPS
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-01 17:37 UTC by Sergio Pascual
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 11:41:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of upsc (377 bytes, text/plain)
2006-08-01 17:37 UTC, Sergio Pascual
no flags Details

Description Sergio Pascual 2006-08-01 17:37:43 UTC
Description of problem:
I have an APC Back-UPS 500 SC and I configured ups.conf this way:

[apc-backups500]
driver = newhidups
port = auto

upsmon.conf has this line:
MONITOR apc-backups500@localhost 1 ups-obs passw master

when I start ups and upsmon starts to read, I get the following line:
Poll UPS [apc-backups500@localhost] failed - Variable not supported by UPS

Doing strace with /usr/sbin/upsd I get lines like the follwoing:

read(6, "GET VAR apc-backups500 ups.statu"..., 512) = 34
write(6, "ERR VAR-NOT-SUPPORTED\n", 22) = 221

It seems that ups is asking for ups.status and newhidups does nor provide it.
It is not in the ouput of upsc



Version-Release number of selected component (if applicable):
nut-2.0.3-0.1.fc5

How reproducible:
Always

Steps to Reproduce:
1. Configure the ups with newhidups
2. /sbin/service ups start
3.
  
Actual results:
Messages:
UPS apc-backups500@localhost is unavailable

Expected results:
upsd can speak with newhidups 

Additional info:

Comment 1 Sergio Pascual 2006-08-01 17:37:43 UTC
Created attachment 133419 [details]
Output of upsc

Comment 2 Tomas Smetana 2007-08-15 11:41:37 UTC
Sorry but FC-5 is discontinued. If the problem remains in the recent Fedora
versions please reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.